QGIS Application - Feature request #21882
Snap midpoint
2019-04-18 09:45 AM - Andreas Olsson

Status: Open

Priority: Normal

Assignee: Loic BARTOLETTI

Category: Digitising

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 29697
Description

The vertex tool seems to recognise where the midpoint of a segment is by the looks of the graphics.
So if that functionality could be transfered to the snap-toolbar it would be great!

History

#1 - 2019-04-19 10:08 AM - Andreas Olsson

Andreas Olsson wrote:

The vertex tool seems to recognise where the midpoint of a segment is by the looks of the graphics.

So if that functionality could be transfered to the snap-toolbar it would be great!

Snap can already find any point on a segment so limiting it to the middle shouldn’t be that hard.

#2 - 2019-04-19 07:46 PM - Andreas Olsson

Andreas Olsson wrote:

The vertex tool seems to recognise where the midpoint of a segment is by the looks of the graphics.

So if that functionality could be transfered to the snap-toolbar it would be great!

Something like: find closest segment-> (xy + xy)/2

| do python and scheme, haven’t learned any c++ yet.

#3 - 2019-05-07 05:35 PM - Loic BARTOLETTI

- Easy fix? changed from Yes to No
- Assignee set to Loic BARTOLETTI

It's part on the QEP#107 https://github.com/qgis/QGIS-Enhancement-Proposals/issues/107
https://github.com/qgis/QGIS-Enhancement-Proposals/issues/107

